%WRITTEN BY CAGDAS
classdef HeartRateData < handle
    %HEARTRATEDATA Holds the hearrate information
    
    
    properties %public
        dataSession % session of heartrates
        numOfRecords = 0; %number of records in session
        rawData = 0; %the real data
    end
    
    methods
        % constructor
        function HR = HeartRateData(dataSession)
         HR.dataSession = dataSession;
        end
        %adds data to session
        function AddData(HR,data)
         HR.numOfRecords = HR.numOfRecords +1;
         HR.rawData(HR.numOfRecords) = data;
        end
    end
    
end

